
stations: 
  - Attiguppe (n6400857563)
  - BTM Layout (n5760198226)
  - Baiyappanahalli (n6400857549)
  - Banashankari (n6432710294)
  - Benniganahalli (n5760197766)
  - Beratena Agrahara (n5760198153)
  - Biocon Hebbagodi (n11521199307)
  - Bommanahalli (n5760198202)
  - Central Silk Board (n5760198212)
  - Challaghatta (n9919570131)
  - Chickpete (n6432710301)
  - Chikkabidarakallu (n1576973954)
  - Cubbon Park (n6400857555)
  - Dasarahalli (n5960788724)
  - Deepanjali Nagar (n6400857564)
  - Delta Electronics Bommasandra (n5760197806)
  - Doddakallasandra (n9919651776)
  - Dr. B. R. Ambedkar Station, Vidhana Soudha (n6400857556)
  - Electronic City (n5760198145)
  - Garudacharpalya (n5760197762)
  - Goraguntepalya (w1353733806)
  - Halasuru (n6400857552)
  - Hongasandra (n5760198198)
  - Hoodi (n5760197761)
  - Hopefarm Channasandra (n5760197745)
  - Hosa Road (n5760198162)
  - Huskur Road (n5760198122)
  - Indiranagar (n6400857551)
  - Infosys Foundation Konappana Agrahara (n5760198133)
  - Jalahalli (n5960788725)
  - Jaya Prakash Nagar (n6432710293)
  - Jayadeva Hospital (n3302642058)
  - Jayanagar (n6432710296)
  - Jnanabharathi (n9049846515)
  - Kadugodi Tree Park (n11941186870)
  - Kengeri (n9051405243)
  - Kengeri Bus Terminal (n9051395755)
  - Konanakunte Cross (n9919651777)
  - Krantivira Sangolli Rayanna Railway Station (n6400857559)
  - Krishna Rajendra Market (n6432710300)
  - Krishnarajapura (n5760197765)
  - Kudlu Gate (n5760198187)
  - Kundalahalli (n5760197755)
  - Lalbagh (n6432710298)
  - Madavara (n1576973953)
  - Magadi Road (n6400857560)
  - Mahakavi Kuvempu Road (n6410706689)
  - Mahalakshmi (n6410706691)
  - Mahatma Gandhi Road (n6400857554)
  - Manjunathanagara (n1576973980)
  - Mantri Square Sampige Road (n6410706688)
  - Mysore Road (n6400857565)
  - Nadaprabhu Kempegowda Station, Majestic (n6400857558)
  - Nagasandra (n11941173068)
  - Nallurahalli (n5760197754)
  - National College (n6432710299)
  - 'Pantharapalya - Nayandahalli (n9050797592)'
  - Pattanagere (n9051417969)
  - Pattandur Agrahara (n5760197749)
  - Peenya (n6410706695)
  - Peenya Industry (n6410706696)
  - Ragigudda (n5760198239)
  - Rajajinagar (n6410706690)
  - Rajarajeshwari Nagar (n9051410519)
  - Rashtreeya Vidyalaya Road (n6432710295)
  - Sandal Soap Factory (n6410706692)
  - Seetharampalya (n5760197757)
  - Silk Institute (n9919651773)
  - Singasandra (n5760198182)
  - Singayyanapalya (n5760197764)
  - Sir M. Visvesvaraya Stn., Central College (n6400857557)
  - South End Circle (n6432710297)
  - Sri Balagangadharanatha Swamiji Station, Hosahalli (n6400857561)
  - Sri Sathya Sai Hospital (n5760197751)
  - Srirampura (n5960788726)
  - Swami Vivekananda Road (n6400857550)
  - Thalaghattapura (n9919651774)
  - Trinity (n6400857553)
  - Vajarahalli (n9919651775)
  - Vijayanagar (n6400857562)
  - Whitefield (Kadugodi) (n5760197744)
  - Yelachenahalli (n6432710292)
  - Yeshwantpur (n11941186869)

transfers: 
  - 
    - Nadaprabhu Kempegowda Station, Majestic (Green Line) (r7845649)
    - Nadaprabhu Kempegowda Station, Majestic (Purple Line) (r7840088)
  - 
    - Rashtreeya Vidyalaya Road (Green Line) (r9521819)
    - Rashtreeya Vidyalaya Road (Yellow Line) (r19421943)

routes: 
  - 
    type: subway
    ref: Green
    name: Green Line (Madavara ⇔ Silk Institute)
    colour: '#009933'
    station_count: 32
    stations: 
      - Silk Institute
      - Thalaghattapura
      - Vajarahalli
      - Doddakallasandra
      - Konanakunte Cross
      - Yelachenahalli
      - Jaya Prakash Nagar
      - Banashankari
      - Rashtreeya Vidyalaya Road (Green Line)
      - Jayanagar
      - South End Circle
      - Lalbagh
      - National College
      - Krishna Rajendra Market
      - Chickpete
      - Nadaprabhu Kempegowda Station, Majestic (Green Line)
      - Mantri Square Sampige Road
      - Srirampura
      - Mahakavi Kuvempu Road
      - Rajajinagar
      - Mahalakshmi
      - Sandal Soap Factory
      - Yeshwantpur
      - Goraguntepalya
      - Peenya
      - Peenya Industry
      - Jalahalli
      - Dasarahalli
      - Nagasandra
      - Manjunathanagara
      - Chikkabidarakallu
      - Madavara

    itineraries: 
      r1798772: 
        - Silk Institute (n9919651773)
        - Thalaghattapura (n9919651774)
        - Vajarahalli (n9919651775)
        - Doddakallasandra (n9919651776)
        - Konanakunte Cross (n9919651777)
        - Yelachenahalli (n6432710292)
        - Jaya Prakash Nagar (n6432710293)
        - Banashankari (n6432710294)
        - Rashtreeya Vidyalaya Road (n6432710295)
        - Jayanagar (n6432710296)
        - South End Circle (n6432710297)
        - Lalbagh (n6432710298)
        - National College (n6432710299)
        - Krishna Rajendra Market (n6432710300)
        - Chickpete (n6432710301)
        - Nadaprabhu Kempegowda Station, Majestic (n6400857558)
        - Mantri Square Sampige Road (n6410706688)
        - Srirampura (n5960788726)
        - Mahakavi Kuvempu Road (n6410706689)
        - Rajajinagar (n6410706690)
        - Mahalakshmi (n6410706691)
        - Sandal Soap Factory (n6410706692)
        - Yeshwantpur (n11941186869)
        - Goraguntepalya (w1353733806)
        - Peenya (n6410706695)
        - Peenya Industry (n6410706696)
        - Jalahalli (n5960788725)
        - Dasarahalli (n5960788724)
        - Nagasandra (n11941173068)
        - Manjunathanagara (n1576973980)
        - Chikkabidarakallu (n1576973954)
        - Madavara (n1576973953)

      r7842287: 
        - Madavara (n1576973953)
        - Chikkabidarakallu (n1576973954)
        - Manjunathanagara (n1576973980)
        - Nagasandra (n11941173068)
        - Dasarahalli (n5960788724)
        - Jalahalli (n5960788725)
        - Peenya Industry (n6410706696)
        - Peenya (n6410706695)
        - Goraguntepalya (w1353733806)
        - Yeshwantpur (n11941186869)
        - Sandal Soap Factory (n6410706692)
        - Mahalakshmi (n6410706691)
        - Rajajinagar (n6410706690)
        - Mahakavi Kuvempu Road (n6410706689)
        - Srirampura (n5960788726)
        - Mantri Square Sampige Road (n6410706688)
        - Nadaprabhu Kempegowda Station, Majestic (n6400857558)
        - Chickpete (n6432710301)
        - Krishna Rajendra Market (n6432710300)
        - National College (n6432710299)
        - Lalbagh (n6432710298)
        - South End Circle (n6432710297)
        - Jayanagar (n6432710296)
        - Rashtreeya Vidyalaya Road (n6432710295)
        - Banashankari (n6432710294)
        - Jaya Prakash Nagar (n6432710293)
        - Yelachenahalli (n6432710292)
        - Konanakunte Cross (n9919651777)
        - Doddakallasandra (n9919651776)
        - Vajarahalli (n9919651775)
        - Thalaghattapura (n9919651774)
        - Silk Institute (n9919651773)

      r16176489: 
        - Silk Institute (n9919651773)
        - Thalaghattapura (n9919651774)
        - Vajarahalli (n9919651775)
        - Doddakallasandra (n9919651776)
        - Konanakunte Cross (n9919651777)
        - Yelachenahalli (n6432710292)
        - Jaya Prakash Nagar (n6432710293)
        - Banashankari (n6432710294)
        - Rashtreeya Vidyalaya Road (n6432710295)
        - Jayanagar (n6432710296)
        - South End Circle (n6432710297)
        - Lalbagh (n6432710298)
        - National College (n6432710299)
        - Krishna Rajendra Market (n6432710300)
        - Chickpete (n6432710301)
        - Nadaprabhu Kempegowda Station, Majestic (n6400857558)
        - Mantri Square Sampige Road (n6410706688)
        - Srirampura (n5960788726)
        - Mahakavi Kuvempu Road (n6410706689)
        - Rajajinagar (n6410706690)
        - Mahalakshmi (n6410706691)
        - Sandal Soap Factory (n6410706692)
        - Yeshwantpur (n11941186869)
        - Goraguntepalya (w1353733806)
        - Peenya (n6410706695)
        - Peenya Industry (n6410706696)

      r16176490: 
        - Peenya Industry (n6410706696)
        - Peenya (n6410706695)
        - Goraguntepalya (w1353733806)
        - Yeshwantpur (n11941186869)
        - Sandal Soap Factory (n6410706692)
        - Mahalakshmi (n6410706691)
        - Rajajinagar (n6410706690)
        - Mahakavi Kuvempu Road (n6410706689)
        - Srirampura (n5960788726)
        - Mantri Square Sampige Road (n6410706688)
        - Nadaprabhu Kempegowda Station, Majestic (n6400857558)
        - Chickpete (n6432710301)
        - Krishna Rajendra Market (n6432710300)
        - National College (n6432710299)
        - Lalbagh (n6432710298)
        - South End Circle (n6432710297)
        - Jayanagar (n6432710296)
        - Rashtreeya Vidyalaya Road (n6432710295)
        - Banashankari (n6432710294)
        - Jaya Prakash Nagar (n6432710293)
        - Yelachenahalli (n6432710292)
        - Konanakunte Cross (n9919651777)
        - Doddakallasandra (n9919651776)
        - Vajarahalli (n9919651775)
        - Thalaghattapura (n9919651774)
        - Silk Institute (n9919651773)


  - 
    type: subway
    ref: Purple
    name: Purple Line (Whitefield (Kadugodi) ⇔ Challaghatta)
    colour: '#e542de'
    station_count: 37
    stations: 
      - Whitefield (Kadugodi)
      - Hopefarm Channasandra
      - Kadugodi Tree Park
      - Pattandur Agrahara
      - Sri Sathya Sai Hospital
      - Nallur Halli
      - Kundalahalli
      - Seetharampalya
      - Hoodi
      - Garudacharpalya
      - Singayyanapalya
      - Krishnarajapura
      - Benniganahalli
      - Baiyappanahalli
      - Swami Vivekananda Road
      - Indiranagar
      - Halasuru
      - Trinity
      - Mahatma Gandhi Road
      - Cubbon Park
      - Dr. B. R. Ambedkar Station, Vidhana Soudha
      - Sir M. Visvesvaraya Stn., Central College
      - Nadaprabhu Kempegowda Station, Majestic (Purple Line)
      - Krantivira Sangolli Rayanna Railway Station
      - Magadi Road
      - Sri Balagangadharanatha Swamiji Stn., Hosahalli
      - Vijayanagar
      - Attiguppe
      - Deepanjali Nagar
      - Mysuru Road
      - 'Pantharapalya - Nayandahalli'
      - Rajarajeshwari Nagar
      - Jnanabharathi
      - Pattanagere
      - Kengeri Bus Terminal
      - Kengeri
      - Challaghatta

    itineraries: 
      r1798771: 
        - Whitefield (Kadugodi) (n5760197744)
        - Hopefarm Channasandra (n5760197745)
        - Kadugodi Tree Park (n11941186870)
        - Pattandur Agrahara (n5760197749)
        - Sri Sathya Sai Hospital (n5760197751)
        - Nallurahalli (n5760197754)
        - Kundalahalli (n5760197755)
        - Seetharampalya (n5760197757)
        - Hoodi (n5760197761)
        - Garudacharpalya (n5760197762)
        - Singayyanapalya (n5760197764)
        - Krishnarajapura (n5760197765)
        - Benniganahalli (n5760197766)
        - Baiyappanahalli (n6400857549)
        - Swami Vivekananda Road (n6400857550)
        - Indiranagar (n6400857551)
        - Halasuru (n6400857552)
        - Trinity (n6400857553)
        - Mahatma Gandhi Road (n6400857554)
        - Cubbon Park (n6400857555)
        - Dr. B. R. Ambedkar Station, Vidhana Soudha (n6400857556)
        - Sir M. Visvesvaraya Stn., Central College (n6400857557)
        - Nadaprabhu Kempegowda Station, Majestic (n6400857558)
        - Krantivira Sangolli Rayanna Railway Station (n6400857559)
        - Magadi Road (n6400857560)
        - Sri Balagangadharanatha Swamiji Station, Hosahalli (n6400857561)
        - Vijayanagar (n6400857562)
        - Attiguppe (n6400857563)
        - Deepanjali Nagar (n6400857564)
        - Mysore Road (n6400857565)
        - 'Pantharapalya - Nayandahalli (n9050797592)'
        - Rajarajeshwari Nagar (n9051410519)
        - Jnanabharathi (n9049846515)
        - Pattanagere (n9051417969)
        - Kengeri Bus Terminal (n9051395755)
        - Kengeri (n9051405243)
        - Challaghatta (n9919570131)

      r7841331: 
        - Challaghatta (n9919570131)
        - Kengeri (n9051405243)
        - Kengeri Bus Terminal (n9051395755)
        - Pattanagere (n9051417969)
        - Jnanabharathi (n9049846515)
        - Rajarajeshwari Nagar (n9051410519)
        - 'Pantharapalya - Nayandahalli (n9050797592)'
        - Mysore Road (n6400857565)
        - Deepanjali Nagar (n6400857564)
        - Attiguppe (n6400857563)
        - Vijayanagar (n6400857562)
        - Sri Balagangadharanatha Swamiji Station, Hosahalli (n6400857561)
        - Magadi Road (n6400857560)
        - Krantivira Sangolli Rayanna Railway Station (n6400857559)
        - Nadaprabhu Kempegowda Station, Majestic (n6400857558)
        - Sir M. Visvesvaraya Stn., Central College (n6400857557)
        - Dr. B. R. Ambedkar Station, Vidhana Soudha (n6400857556)
        - Cubbon Park (n6400857555)
        - Mahatma Gandhi Road (n6400857554)
        - Trinity (n6400857553)
        - Halasuru (n6400857552)
        - Indiranagar (n6400857551)
        - Swami Vivekananda Road (n6400857550)
        - Baiyappanahalli (n6400857549)
        - Benniganahalli (n5760197766)
        - Krishnarajapura (n5760197765)
        - Singayyanapalya (n5760197764)
        - Garudacharpalya (n5760197762)
        - Hoodi (n5760197761)
        - Seetharampalya (n5760197757)
        - Kundalahalli (n5760197755)
        - Nallurahalli (n5760197754)
        - Sri Sathya Sai Hospital (n5760197751)
        - Pattandur Agrahara (n5760197749)
        - Kadugodi Tree Park (n11941186870)
        - Hopefarm Channasandra (n5760197745)
        - Whitefield (Kadugodi) (n5760197744)

      r17038841: 
        - Mysore Road (n6400857565)
        - Deepanjali Nagar (n6400857564)
        - Attiguppe (n6400857563)
        - Vijayanagar (n6400857562)
        - Sri Balagangadharanatha Swamiji Station, Hosahalli (n6400857561)
        - Magadi Road (n6400857560)
        - Krantivira Sangolli Rayanna Railway Station (n6400857559)
        - Nadaprabhu Kempegowda Station, Majestic (n6400857558)
        - Sir M. Visvesvaraya Stn., Central College (n6400857557)
        - Dr. B. R. Ambedkar Station, Vidhana Soudha (n6400857556)
        - Cubbon Park (n6400857555)
        - Mahatma Gandhi Road (n6400857554)
        - Trinity (n6400857553)
        - Halasuru (n6400857552)
        - Indiranagar (n6400857551)
        - Swami Vivekananda Road (n6400857550)
        - Baiyappanahalli (n6400857549)
        - Benniganahalli (n5760197766)
        - Krishnarajapura (n5760197765)
        - Singayyanapalya (n5760197764)
        - Garudacharpalya (n5760197762)
        - Hoodi (n5760197761)
        - Seetharampalya (n5760197757)
        - Kundalahalli (n5760197755)
        - Nallurahalli (n5760197754)
        - Sri Sathya Sai Hospital (n5760197751)
        - Pattandur Agrahara (n5760197749)

      r17038842: 
        - Pattandur Agrahara (n5760197749)
        - Sri Sathya Sai Hospital (n5760197751)
        - Nallurahalli (n5760197754)
        - Kundalahalli (n5760197755)
        - Seetharampalya (n5760197757)
        - Hoodi (n5760197761)
        - Garudacharpalya (n5760197762)
        - Singayyanapalya (n5760197764)
        - Krishnarajapura (n5760197765)
        - Benniganahalli (n5760197766)
        - Baiyappanahalli (n6400857549)
        - Swami Vivekananda Road (n6400857550)
        - Indiranagar (n6400857551)
        - Halasuru (n6400857552)
        - Trinity (n6400857553)
        - Mahatma Gandhi Road (n6400857554)
        - Cubbon Park (n6400857555)
        - Dr. B. R. Ambedkar Station, Vidhana Soudha (n6400857556)
        - Sir M. Visvesvaraya Stn., Central College (n6400857557)
        - Nadaprabhu Kempegowda Station, Majestic (n6400857558)
        - Krantivira Sangolli Rayanna Railway Station (n6400857559)
        - Magadi Road (n6400857560)
        - Sri Balagangadharanatha Swamiji Station, Hosahalli (n6400857561)
        - Vijayanagar (n6400857562)
        - Attiguppe (n6400857563)
        - Deepanjali Nagar (n6400857564)
        - Mysore Road (n6400857565)


  - 
    type: subway
    ref: Yellow
    name: Yellow Line (Rashtreeya Vidyalaya Road ⇔ Delta Electronics Bommasandra)
    colour: '#ffff00'
    station_count: 16
    stations: 
      - Delta Electronics Bommasandra
      - Biocon Hebbagodi
      - Huskur Road
      - Infosys Foundation Konappana Agrahara
      - Electronic City
      - Beratena Agrahara
      - Hosa Road
      - Singasandra
      - Kudlu Gate
      - Hongasandra
      - Bommanahalli
      - Central Silk Board
      - BTM Layout
      - Jayadeva Hospital
      - Ragigudda
      - Rashtreeya Vidyalaya Road (Yellow Line)

    itineraries: 
      r19421927: 
        - Delta Electronics Bommasandra (n5760197806)
        - Biocon Hebbagodi (n11521199307)
        - Huskur Road (n5760198122)
        - Infosys Foundation Konappana Agrahara (n5760198133)
        - Electronic City (n5760198145)
        - Beratena Agrahara (n5760198153)
        - Hosa Road (n5760198162)
        - Singasandra (n5760198182)
        - Kudlu Gate (n5760198187)
        - Hongasandra (n5760198198)
        - Bommanahalli (n5760198202)
        - Central Silk Board (n5760198212)
        - BTM Layout (n5760198226)
        - Jayadeva Hospital (n3302642058)
        - Ragigudda (n5760198239)
        - Rashtreeya Vidyalaya Road (n6432710295)

      r19421944: 
        - Rashtreeya Vidyalaya Road (n6432710295)
        - Ragigudda (n5760198239)
        - Jayadeva Hospital (n3302642058)
        - BTM Layout (n5760198226)
        - Central Silk Board (n5760198212)
        - Bommanahalli (n5760198202)
        - Hongasandra (n5760198198)
        - Kudlu Gate (n5760198187)
        - Singasandra (n5760198182)
        - Hosa Road (n5760198162)
        - Beratena Agrahara (n5760198153)
        - Electronic City (n5760198145)
        - Infosys Foundation Konappana Agrahara (n5760198133)
        - Huskur Road (n5760198122)
        - Biocon Hebbagodi (n11521199307)
        - Delta Electronics Bommasandra (n5760197806)



